PDA

View Full Version : Clarification on installation requirements NPVR?



peter_h
2010-06-27, 11:55 AM
So I don't have to install them all, which specific .NET versions would I need to install on a fresh Win XP sp3 machine?

Also, I noticed that when I installed NPVR on a fresh WinXPsp3 box, with only the latest VS2008 C++ redist files installed (as instructed), the VIDEOS and MUSIC screens showed no items. Only after I also installed the old VS2005 C++ redist files did items appear.

Thanks :)

three_sheds
2010-06-27, 01:39 PM
I used .NET 2.0 on my XP SP3 machine and it works fine. I think I read somewhere else that .NET 3.5 works too.

I also used the VS C++ 2008 that sub linked to. I've not tried music, but video library works OK (after I'd set up the directories).

pBS
2010-06-27, 11:32 PM
it's very version specific...you can have several vc++ installed, just gotta be sure to have the version the app needs...others won't do anything to help an app that needs another version..

peter_h
2010-06-28, 06:48 AM
Also, I noticed that when I installed NPVR on a fresh WinXPsp3 box, with only the latest VS2008 C++ redist files installed (as instructed), the VIDEOS and MUSIC screens showed no items. Only after I also installed the old VS2005 C++ redist files did items appear.

My point of mentioning this was that it may be that stating that NPVR needs VS2008 C++ redist files is not enough - but users may also need to install VS2005 C++ redist files.

I'm not 100% sure about this, but thought it was worth mentioning.

Reddwarf
2010-06-28, 08:43 AM
My point of mentioning this was that it may be that stating that NPVR needs VS2008 C++ redist files is not enough - but users may also need to install VS2005 C++ redist files.

I'm not 100% sure about this, but thought it was worth mentioning.

I just wiped my entire installation of NPVR on my livingroom htpc and installed 1.5.21 from scratch. I noticed that the RegisterFilters.bat does not use the correct regsvr32.exe on W7x64 and the .reg file does not point to Wow6432Node as it should.

sub
2010-06-28, 04:32 PM
My point of mentioning this was that it may be that stating that NPVR needs VS2008 C++ redist files is not enough - but users may also need to install VS2005 C++ redist files.As far as I'm aware, it only needs the VS2008 runtime files. I rebuilt my machine before being work on NPVR, and it only VS2008 on this machine.